package easyNotify;

import org.omg.CORBA.*;
import org.omg.PortableServer.*;
import org.omg.PortableServer.POAPackage.*;
import org.omg.CosNotifyComm.*;
import org.omg.CosNotification.*;


public class StructuredPushConsumerImpl extends StructuredPushConsumerPOA {

    private ORB orb;
    private POA poa;
    private EasyStructuredEventDealer eventDealer;

    public StructuredPushConsumerImpl( ORB orb, POA poa, EasyStructuredEventDealer eventDealer) {
	this.orb = orb;
	this.poa = poa;
	this.eventDealer = eventDealer;
    }

    public void push_structured_event(StructuredEvent event) {
	System.out.println("rception d'un evnement");
	eventDealer.treatEvent(event);
    }


    public void disconnect_structured_push_consumer(){
	System.out.println("Dconnexion du service d'vnements");
	try {
	    byte[] oid = poa.servant_to_id(this);
	    poa.deactivate_object(oid);
	}
	catch (Exception e) {
	    
	}
    }

    public void offer_change(EventType[] added, EventType[] removed) {
	// Attention l'offre change
	System.out.println("L'offre des vnements change");
    }

    
}
